<?php
/**
 * 机构认证
 * $Id: org_accredited_list.php,v 1.1 2020/01/03 11:18:46  Exp $
 * @author lixq
 * @package manager.public_html
 */
// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("13")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["left"] = "menu.inc";
	$layout_pages["right"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
	exit;
}

$title = ParamUtil::getRequestString("title");
$status = ParamUtil::getRequestString("status");

$order_key = ParamUtil::getRequestString("order_key", "id");
$sort = ParamUtil::getRequestString("sort", "DESC");
$page_num = ParamUtil::getRequestNumber("page_num", 1);
$page_row = MANAGER_DEFAULT_ROW_COUNT;
$paging_url_link = "./org_accredited_list.php";

// trueの場合、Sessionを再設定
$search_flg = ParamUtil::getRequestBoolean("search_flg", false);
$session_name = "org_accredited_criteria";
if ($search_flg) {
  if (isset($_SESSION[$session_name])){
    $param = $_SESSION[$session_name];
  } else {
    $param = array();
  }
  
  if (isset($param["title"])) {
    $title = $param["title"];
  }
  if (isset($param["status"])) {
    $status = $param["status"];
  }
  
  if (isset($param["page_num"])) {
    $page_num = $param["page_num"];
  }
} else {
  // 検索条件を作成してsessionに設定
  $param = array();
  if (!empty($status)) {
    $param["status"] = $status;
  }
  if (!empty($title)) {
    $param["title"] = $title;
  }
  
  if (!empty($page_num)) {
    $param["page_num"] = $page_num;
  }
  $_SESSION[$session_name] = $param;
}

$user_list = [];
//总件数
$user_count = CompassHandler::getOrgAccreditedListCount($param);
// // 一览取得
if ($user_count > 0) {
  $offset = ($page_num - 1) * $page_row;
  $user_list = CompassHandler::getOrgAccreditedList($param, $order_key, $sort, $offset, $page_row);
  $page_count = ceil($user_count / $page_row);
  $show_page_num = MANAGER_PAGING_SHOW_PAGE_COUNT;
  $page_range = PagingHandler::getPageRange($page_num, $page_count, $show_page_num);
  $page_first = $page_range[0];
  $page_end = $page_range[1];
}

// ページ
$layout_pages = array();
$layout_pages["left"] = "menu.inc";
$layout_pages["right"] = "org_accredited_list.inc";
$layout_pages["menu_clicked"] = "2-1";
require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/leftmenu_layout.inc");
exit;